테이블 그룹 수정

기존 테이블 그룹을 수정합니다. 이 작업은 관리자 권한을 요구합니다.

필요 권한

관리자 이상의 계정으로 이용할 수 있습니다.

HTTP 요청

PUT /api/sonar/table-groups/:guid
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
     -d name="updated_table_group" \
     -d description="수정된 테이블 그룹 설명" \
     -d parent_guid="54157629-74f7-4d80-be5a-8cb8f0c71087" \
     -X PUT "https://HOSTNAME/api/sonar/table-groups/0157fda0-15ed-49f5-acd8-e0ada14c196a"
요청 매개변수
필수타입설명비고
guidO문자열테이블 그룹 GUID36자 GUID (URL 경로)
nameO문자열테이블 그룹 이름최소 1자, 최대 50자
descriptionX문자열테이블 그룹 설명최대 2,000자
parent_guidX문자열부모 테이블 그룹 GUID36자 GUID

정상 응답

{}

오류 응답

guid가 GUID 형식이 아닌 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}
name이 누락된 경우

HTTP 상태 코드 400 응답

{
  "error_code": "null-argument",
  "error_msg": "name should be not null"
}
name 값의 길이가 잘못된 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "'name' must be 1 to 50 characters, alphanumeric or underscore characters only, and must not start with a number"
}
description 값의 길이가 잘못된 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "'description' must be shorter than or equal to 2000 characters."
}
parent_guid가 GUID 형식이 아닌 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-param-type",
  "error_msg": "parent_guid should be guid type."
}
parent_guid를 자기 자신으로 설정한 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "table-group-cannot-set-itself-as-parent [guid: 0157fda0-15ed-49f5-acd8-e0ada14c196a]"
}
guid가 존재하지 않는 경우

HTTP 상태 코드 500 응답

{
  "error_code": "illegal-state",
  "error_msg": "table-group-not-found [guid: 0157fda0-15ed-49f5-acd8-e0ada14c196a]"
}
name이 중복된 경우

HTTP 상태 코드 500 응답

{
  "error_code": "illegal-state",
  "error_msg": "duplicated-name [name: updated_table_group]"
}
parent_guid가 존재하지 않는 경우

HTTP 상태 코드 500 응답

{
  "error_code": "illegal-state",
  "error_msg": "parent-table-group-not-found [guid: 54157629-74f7-4d80-be5a-8cb8f0c71087]"
}
관리 권한이 없는 경우

HTTP 상태 코드 500 응답

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}